curl --request PATCH \
--url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Updated Merchant Name",
"contact": {
"email": "[email protected]",
"phone": "+5511999999999"
},
"transfer_configurations": {
"automatic_transfer_enabled": false,
"transfer_frequency": "MONTHLY"
},
"metadata": {
"updated_reason": "contact_information_change",
"last_modified_by": "organization"
}
}
'{
"id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"name": "Example Company",
"full_name": "Example Company LTDA",
"document_number": "16525269000121",
"document_type": "CNPJ",
"contact": {
"first_name": "John",
"last_name": "Silva",
"phone": "+551199999999",
"email": "[email protected]",
"mother_name": "Maria Silva",
"birth_date": "15-08-1990",
"document_number": "81146431023",
"politically_exposed": false,
"declared_income": 5000,
"occupation": "SOFTWARE_DEVELOPER",
"net_worth": 50000,
"role": "PARTNER",
"address": {
"street": "Contact Street",
"street_number": "456",
"complement": "Apt 201",
"neighborhood": "Contact Neighborhood",
"zipcode": "87654321",
"country": "076",
"state": "RJ",
"city": "Rio de Janeiro"
}
},
"status": "ACTIVE",
"address": {
"street": "Example Street",
"street_number": "123",
"complement": "Suite 101",
"neighborhood": "Downtown",
"zipcode": "12345678",
"country": "076",
"state": "SP",
"city": "São Paulo"
},
"transfer_configurations": {
"automatic_transfer_enabled": true,
"transfer_frequency": "DAILY",
"rail": "PIX",
"utc_hour_of_day": 12,
"day_of_week": 1,
"day_of_month": 1,
"min_balance": 1000
},
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-01T00:00:00Z",
"document_tax_type": "PJ",
"company_logo_url": "https://example.com/logo.png",
"website_url": "https://example.com",
"webhook_enabled": false,
"kyc_enabled": false,
"declared_revenue": 50000
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Update merchant
Requires the merchant.company.edit permission.
Updates a specific merchant. The merchant must belong to the authenticated organization. Only specific fields can be updated via API for security reasons. Note that merchant status, document fields, and organization relationship cannot be modified through the API.
curl --request PATCH \
--url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "Updated Merchant Name",
"contact": {
"email": "[email protected]",
"phone": "+5511999999999"
},
"transfer_configurations": {
"automatic_transfer_enabled": false,
"transfer_frequency": "MONTHLY"
},
"metadata": {
"updated_reason": "contact_information_change",
"last_modified_by": "organization"
}
}
'{
"id": "a3dbd0c2-9f79-4f86-8caa-47779b3f2793",
"name": "Example Company",
"full_name": "Example Company LTDA",
"document_number": "16525269000121",
"document_type": "CNPJ",
"contact": {
"first_name": "John",
"last_name": "Silva",
"phone": "+551199999999",
"email": "[email protected]",
"mother_name": "Maria Silva",
"birth_date": "15-08-1990",
"document_number": "81146431023",
"politically_exposed": false,
"declared_income": 5000,
"occupation": "SOFTWARE_DEVELOPER",
"net_worth": 50000,
"role": "PARTNER",
"address": {
"street": "Contact Street",
"street_number": "456",
"complement": "Apt 201",
"neighborhood": "Contact Neighborhood",
"zipcode": "87654321",
"country": "076",
"state": "RJ",
"city": "Rio de Janeiro"
}
},
"status": "ACTIVE",
"address": {
"street": "Example Street",
"street_number": "123",
"complement": "Suite 101",
"neighborhood": "Downtown",
"zipcode": "12345678",
"country": "076",
"state": "SP",
"city": "São Paulo"
},
"transfer_configurations": {
"automatic_transfer_enabled": true,
"transfer_frequency": "DAILY",
"rail": "PIX",
"utc_hour_of_day": 12,
"day_of_week": 1,
"day_of_month": 1,
"min_balance": 1000
},
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-01T00:00:00Z",
"document_tax_type": "PJ",
"company_logo_url": "https://example.com/logo.png",
"website_url": "https://example.com",
"webhook_enabled": false,
"kyc_enabled": false,
"declared_revenue": 50000
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHORIZATION_ERROR",
"message": "You need 'admin' permissions to access this resource",
"status": 403,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Authorizations
Company API key for authentication
Path Parameters
Merchant ID
Body
Schema for updating a merchant. Extends the company update fields with the merchant's active fee policy. Only specific fields can be updated for security reasons.
Company display name
"Updated Company Name"
Company full legal name
"Updated Company Full Legal Name"
Tax classification type. Can only be updated when the company has no affiliations in non-final statuses (only FAILED/REJECTED are allowed). Must be PF for CPF companies; PJ, MEI, or ME for CNPJ companies.
PJ, MEI, ME, PF "MEI"
URL for company logo image
"https://example.com/new-logo.png"
Contact information (partial update supported)
Show child attributes
Show child attributes
Company website URL
"https://company.com"
Company address (partial update supported)
Show child attributes
Show child attributes
Transfer configurations (partial update supported)
Show child attributes
Show child attributes
Annual revenue in whole reais (BRL) for Banco Central compliance (Circular 3.978/2020)
x >= 050000
Additional metadata as JSON object
{
"industry": "technology",
"tier": "enterprise"
}
ID of the fee policy to apply to this merchant. Must belong to the merchant's organization. This is the merchant's active fee policy used to price transactions and cashouts.
"123e4567-e89b-12d3-a456-426614174000"
Response
Merchant updated successfully
Transformed company data returned by the API
"a3dbd0c2-9f79-4f86-8caa-47779b3f2793"
"Example Company"
"Example Company LTDA"
CPF (11 digits) or CNPJ (14 characters). CNPJ may be numeric or alphanumeric (IN RFB 2229/2024): first 12 positions are [A-Z0-9], last 2 are numeric check digits. Formatting is stripped and letters are uppercased on input.
"16525269000121"
CNPJ, CPF "CNPJ"
Show child attributes
Show child attributes
PENDING_ACTIVATION, ACTIVE, INACTIVE, BLOCKED "ACTIVE"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
"2023-01-01T00:00:00Z"
"2023-01-01T00:00:00Z"
Document tax type:
- PF: Pessoa Física (Individual) - for CPF companies
- PJ: Pessoa Jurídica (Legal Entity) - for CNPJ companies
- MEI: Microempreendedor Individual - for CNPJ companies
- ME: Microempresa (Micro Enterprise) - for CNPJ companies
PJ, MEI, ME, PF "PJ"
"https://example.com/logo.png"
"https://example.com"
Whether webhooks are enabled for this company
false
Whether the organization's merchants undergo KYC. Managed by Rinne staff. Null on merchant responses.
false
Annual revenue in whole reais (BRL) for Banco Central compliance (Circular 3.978/2020)
x >= 050000

